package net.minecraft.world.effect;

import net.minecraft.world.entity.ai.attributes.BaseAttributeMap;
import net.minecraft.world.entity.LivingEntity;

public class AbsoptionMobEffect extends MobEffect {
    protected AbsoptionMobEffect(final MobEffectCategory akj, final int integer) {
        super(akj, integer);
    }
    
    @Override
    public void removeAttributeModifiers(final LivingEntity akz, final BaseAttributeMap alu, final int integer) {
        akz.setAbsorptionAmount(akz.getAbsorptionAmount() - 4 * (integer + 1));
        super.removeAttributeModifiers(akz, alu, integer);
    }
    
    @Override
    public void addAttributeModifiers(final LivingEntity akz, final BaseAttributeMap alu, final int integer) {
        akz.setAbsorptionAmount(akz.getAbsorptionAmount() + 4 * (integer + 1));
        super.addAttributeModifiers(akz, alu, integer);
    }
}
